(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6953,        216]
NotebookOptionsPosition[      6623,        201]
NotebookOutlinePosition[      7003,        217]
CellTagsIndexPosition[      6960,        214]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pom", "=", "pom"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"RBezNas", "=", "1200."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RSNami", "=", "153000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resab", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "-", "b"}], "\[Equal]", "RBezNas"}], ",", 
       RowBox[{
        RowBox[{"a", "+", "b"}], "\[Equal]", "RSNami"}]}], "}"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", "5."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]BezNas", "=", 
   FractionBox["L", "RBezNas"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<caskonstanta bez nas= \>\"", ",", 
    RowBox[{"\[Tau]BezNas", "*", 
     SuperscriptBox["10", "3"]}], ",", "\"\<  ms\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]SNami", "=", 
   FractionBox["L", "RSNami"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<caskonstanta s nami= \>\"", ",", 
    RowBox[{"\[Tau]SNami", "*", 
     SuperscriptBox["10", "3"]}], ",", "\"\<  ms\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{
    RowBox[{"5", "*", 
     RowBox[{"(", 
      RowBox[{"\[Tau]BezNas", "+", "\[Tau]SNami"}], ")"}]}], "+", 
    "\[Tau]BezNas"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tSkok", "=", 
   RowBox[{"5", "*", "\[Tau]BezNas"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resab", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "-", "b"}], "==", "RBezNas"}], ",", 
       RowBox[{
        RowBox[{"a", "+", "b"}], "==", "RSNami"}]}], "}"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"strmost", "=", 
    SuperscriptBox["10", "9"]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"restau", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"Chop", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"strmost", "==", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"a", "+", 
            RowBox[{"b", "*", 
             RowBox[{"Tanh", "[", 
              FractionBox[
               RowBox[{"t", "-", "tSkok"}], "tau"], "]"}]}]}], ",", "t"}], 
          "]"}]}], "/.", 
        RowBox[{"t", "->", "tSkok"}]}], "/.", "resab"}], "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"odpor", "=", 
   RowBox[{
    RowBox[{"a", "+", 
     RowBox[{"b", "*", 
      RowBox[{"Tanh", "[", 
       FractionBox[
        RowBox[{"t", "-", "tSkok"}], "tau"], "]"}]}]}], "/.", 
    RowBox[{"Union", "[", 
     RowBox[{"resab", ",", "restau"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"odpor", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Uz", "=", "12."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "\[Equal]", "Uz"}], ",", 
     RowBox[{
      RowBox[{"iz", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"iL", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"iR", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"u2", "[", "t", "]"}], "==", 
      RowBox[{"odpor", "*", 
       RowBox[{"iR", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u1", "[", "t", "]"}], "-", 
       RowBox[{"u2", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"Union", "@", 
    RowBox[{"Cases", "[", 
     RowBox[{"rce", ",", 
      RowBox[{
       RowBox[{"a_Symbol", "[", "t", "]"}], "\[RuleDelayed]", "a"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"res", "=", 
    RowBox[{
     RowBox[{"NDSolve", "[", 
      RowBox[{"rce", ",", "nezname", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
       RowBox[{
        RowBox[{"MaxStepSize", "\[Rule]", 
         RowBox[{"0.001", "*", "tau"}]}], "/.", "restau"}], ",", 
       RowBox[{"MaxSteps", "\[Rule]", 
        SuperscriptBox["10", "6"]}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "menit", " ", "parametry", " ", "NDSolve", " ", "a", " ", "Plot", " ", "a",
     " ", "ukazovat", " ", "grafy"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"odpor", "*", 
     RowBox[{"iR", "[", "t", "]"}]}], "/.", "res"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "1300"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.57159286396875*^9, 3.571592885015625*^9}, {
  3.571592929078125*^9, 3.571593426484375*^9}, {3.571593457265625*^9, 
  3.57159361109375*^9}, {3.571593657609375*^9, 3.57159389221875*^9}, {
  3.57159392334375*^9, 3.571594000671875*^9}, {3.5715940333125*^9, 
  3.5715941099375*^9}, {3.5715941419375*^9, 3.57159429703125*^9}}]
},
WindowSize->{1273, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.4999995231628418`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 374, 10, 125, "Input"],
Cell[922, 32, 5697, 167, 779, "Input"]
}
]
*)

(* End of internal cache information *)
